package SetChartPath;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;

public class SetChartPath extends Applet{

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			SetChartPath report = new SetChartPath();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSetChartPath(frame));
			frame.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSetChartPath(this));
	}

	Component doSetChartPath(Object parent)  {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		// Open the template
		QbReport report = new QbReport (parent,          										// container 
										"setChartPath.rpt");			// template
		
		// Set Chart Path
		report.setChartPath(".");

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}
}
